Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454534 - gstreamer's v4l2src incompatible with some progressive video cameras
Summary: gstreamer's v4l2src incompatible with some progressive video cameras
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gstreamer-plugins-good
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FedoraOLPCDelta
TreeView+ depends on / blocked
 
Reported: 2008-07-08 21:40 UTC by Daniel Drake
Modified: 2008-11-26 17:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-26 17:10:55 UTC


Attachments (Terms of Use)
patch (deleted)
2008-07-08 21:40 UTC, Daniel Drake
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 541956 None None None Never

Description Daniel Drake 2008-07-08 21:40:30 UTC
Description of problem:
v4l2src only uses V4L2_FIELD_INTERLACED which is a whole-frame capture mode (it
requests interlaced video where the two fields have already been merged
together).

However most webcams only offer progressive video (i.e. V4L2_FIELD_NONE) and
will reject any requests for interlaced video. Other drivers will only offer
progressive and will silently 'correct' gstreamer's request for interlaced
video.

I questioned this driver inconsistency here:
http://marc.info/?l=linux-video&m=121434022130546&w=2
And Mauro then told me on IRC that both behaviours are correct: it's fine for
drivers to reject unsupported fields with -EINVAL, and it's also fine for
simple drivers to silently fix up the user's request.

So in order to speak to a wider number of cameras, gstreamer should tolerate
the fact that drivers may reject a request for interlaced images with -EINVAL
and should then retry for progressive (Mauro confirmed this approach is the
best we have at the moment).

This patch also allows OLPC to drop a patch that we needed to get the XO webcam
working: http://dev.laptop.org/attachment/ticket/7294/v4l2-nointerlace.patch
http://dev.laptop.org/ticket/7294




Please include my patch which has been accepted upstream:
http://bugzilla.gnome.org/show_bug.cgi?id=541956

Comment 1 Daniel Drake 2008-07-08 21:40:30 UTC
Created attachment 311318 [details]
patch

Comment 2 Fedora Update System 2008-07-21 15:14:48 UTC
gstreamer-plugins-good-0.10.8-8.fc9 has been submitted as an update for Fedora 9

Comment 3 Fedora Update System 2008-07-23 07:12:58 UTC
gstreamer-plugins-good-0.10.8-8.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gstreamer-plugins-good'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6621

Comment 4 Peter Robinson 2008-10-25 13:09:54 UTC
Daniel can you confirm if this issue is now fixed?


Note You need to log in before you can comment on or make changes to this bug.